
import sys
from subprocess import call

def usage():
    print "Syntax error. Invalid number of arguments"
    print "Usage:"
    print " MakePlot Key InputFile OutputPdfFile"
#

def main():

  # Check arguments
  # MakePlot.py token cFile pdfFile

  if (len(sys.argv) != 4):
      usage()
      sys.exit()
  #

  try:
    tok   = sys.argv[1]
    fnIn  = sys.argv[2]
    fnOut = sys.argv[3]
    s     = "-o%s"%fnOut
  except:
    print "Syntax error."
    usage()
    sys.exit()
  #


  try:
    fin = open(fnIn, "r")
  except:
    print "Unable to open file <%>" % fnIn
    sys.exit()
  #

  try:
    ftmp = open("delete.me", "w")
  except:
    print "Unable to open file <delete.me>"
    sys.exit()
  #

  for line in fin:

    # Strip off whitespace
    line = line.strip()

    # If the line contains the desired token
    n = len(tok)
    i = line.find(tok)
    if (i != -1):

      # Strip of the crud
      line = line[i+n:]

      # Write to temp file
      ftmp.write(line + "\n")
    
    #
  #

  # Close files
  ftmp.close()
  fin.close()
  

  # Execute the neato program to generate the diagram
  call( ['c:\\Program Files (x86)\\Graphviz2.38\\bin\\neato.exe', "-Tpdf", "delete.me", s]) 

  #call( ['c:\\Program Files (x86)\\Graphviz2.38\\bin\\neato.exe', "-Tpng", "delete.me", "-ofsm.png"]) 

#
    

if __name__ == "__main__":
  main()
