
#ifndef __MOTOR_CTL_H__
#define __MOTOR_CTL_H__

#include <stdint.h>

typedef enum
{
  MOTOR_LT  = 0,
  MOTOR_RT  = 1
} Motor_e;

// Prototypes
void motorInit(uint16_t leftA1,  uint16_t leftA2,  uint16_t leftPwm,
               uint16_t rightA1, uint16_t rightA2, uint16_t rightPwm);
void motorsBrake(void);
void motorsFwd(void);
void motorsRev(void);
void motorCcw(Motor_e id);
void motorCw(Motor_e id);
void motorBrake(Motor_e id);
void motorFloat(Motor_e id);
void motorSpeed(Motor_e id, int16_t spd);

#endif
